View Issue Details

IDProjectCategoryView StatusLast Update
0002826OpenFOAM[All Projects] Bugpublic2018-10-17 11:33
ReporterprojectionistAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version5.x 
Fixed in Versiondev 
Summary0002826: Errorneous behaviour of velocity interpolation scheme cellPointWallModified in Lagrangian Particle Tracking
DescriptionWhen running Lagrangian Particle Tracking, either with the solver icoUncoupledKinematicParcelFoam or the icoUncoupledKinematicCloud function object with the pimpleFoam solver, I observe strange behaviour by the Lagrangian Particles.

The header-description of the cellPointWallModified interpolation scheme states:

Same as interpolationCellPoint, but if interpolating a wall face, uses cell centre value instead


Thus, one would expect that particles in a cell next to the wall will move with the cell velocity. However, this is not the case.
Steps To ReproduceI attached a 2D lid-driven cavity case for use with icoUncoupledKinematicParcelFoam, and a 3D lid-driven cavity case for use with pimpleFoam.
The archive also contains some screenshots of the solution of the these cases.

The cavity cases are set up to use the sphereDrag force as the only force acting on the particles. Thus, we expect the particles to follow the flow. However, the particles tend to stick to the wall (in OF-5.x) or be caught up in the first internal face parallel, and next to the wall (OF-4.1).
Additional InformationWith the cavity case in OF-5.x, the only interpolation schemes that leave the particles to freely move around are cell, and cellPatchConstrained.


All other interpolation schemes result in particles getting stuck on the wall. This is not surprising for schemes such as cellPoint, however, unexpected for the cellPointWallModified scheme.
TagsLagrangian

Activities

projectionist

2018-02-06 00:34

reporter  

cavityTestCases.tar.gz (187,490 bytes)

henry

2018-02-07 15:09

manager   ~0009273

interpolationCellPointWallModified is not correct and cannot be implemented in such a simple manner. I will remove this class from OpenFOAM-dev.

For your case you can get the behavior you want in a more consistent and robust manner simply by setting the wall BCs of 0.org/U to slip:

boundaryField
{
    movingWall
    {
        type slip;
    }
    fixedWalls
    {
        type slip;
    }
    frontAndBack
    {
        type empty;
    }
}

I tested it and the results look fine.

henry

2018-02-07 15:38

manager   ~0009274

Resolved by commit fbf0020910ed6c50aa02994744bc6ebdbb6d4eee

will

2018-10-17 11:33

manager   ~0010110

A new version of this interpolation scheme has now been developed, as a result of maintenance funding. The new implementation modifies extrapolated wall velocities so that they do not point out of the domain. This should provide a "slippy" boundary as with the previous implementation, but without the potential for incompatibility with rebound wall interactions. This implementation has been pushed to dev as commit 63b641a0.

Issue History

Date Modified Username Field Change
2018-02-06 00:34 projectionist New Issue
2018-02-06 00:34 projectionist File Added: cavityTestCases.tar.gz
2018-02-06 00:34 projectionist Tag Attached: Lagrangian
2018-02-07 15:09 henry Note Added: 0009273
2018-02-07 15:38 henry Assigned To => henry
2018-02-07 15:38 henry Status new => resolved
2018-02-07 15:38 henry Resolution open => fixed
2018-02-07 15:38 henry Fixed in Version => dev
2018-02-07 15:38 henry Note Added: 0009274
2018-10-17 11:33 will Note Added: 0010110